> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoices

> Retrieve your account's invoices (last 50).



## OpenAPI

````yaml get /billing/invoices
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /billing/invoices:
    get:
      summary: Get invoices
      description: Retrieve your account's invoices (last 50).
      operationId: getInvoices
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/invoice'
                title: GetInvoicesOk
          description: Invoices retrieved successfully.
      security:
        - Authorization: []
components:
  schemas:
    invoice:
      type: object
      properties:
        id:
          type: integer
        action:
          type: string
          examples:
            - purchase
            - renewal
            - topup
        gateway:
          type: string
          examples:
            - balance
            - cryptomus
        netto:
          type: number
        brutto:
          type: number
        duration:
          type: integer
        paid:
          type: boolean
        delivered:
          type: boolean
        server_id:
          type: integer
        plan_id:
          type: integer
        created_at:
          type: string
      description: Invoice object.
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````